Group Quota Subscriptions - List
返回与 GroupQuotas 关联的 subscriptionIds 的列表。
GET https://management.azure.com/providers/Microsoft.Management/managementGroups/{managementGroupId}/providers/Microsoft.Quota/groupQuotas/{groupQuotaName}/subscriptions?api-version=2025-09-01
URI 参数
| 名称 | 在 | 必需 | 类型 | 说明 |
|---|---|---|---|---|
|
group
|
path | True |
string minLength: 3maxLength: 63 pattern: ^[a-z][a-z0-9]*$ |
GroupQuota 名称。 对于提供的上下文 tenantId/MgId,该名称应是唯一的。 |
|
management
|
path | True |
string minLength: 3maxLength: 63 |
管理组 ID。 |
|
api-version
|
query | True |
string minLength: 1 |
用于此作的 API 版本。 |
响应
| 名称 | 类型 | 说明 |
|---|---|---|
| 200 OK |
Azure作已成功完成。 |
|
| Other Status Codes |
意外错误响应。 |
安全性
azure_auth
Azure Active Directory OAuth2 Flow。
类型:
oauth2
流向:
implicit
授权 URL:
https://login.microsoftonline.com/common/oauth2/authorize
作用域
| 名称 | 说明 |
|---|---|
| user_impersonation | 模拟用户帐户 |
示例
GroupQuotaSubscriptions_List_Subscriptions
示例请求
GET https://management.azure.com/providers/Microsoft.Management/managementGroups/E7EC67B3-7657-4966-BFFC-41EFD36BAA09/providers/Microsoft.Quota/groupQuotas/groupquota1/subscriptions?api-version=2025-09-01
示例响应
{
"nextLink": "https://yourLinkHere.com",
"value": [
{
"name": "00000000-0000-0000-0000-000000000000",
"type": "Microsoft.Quota/groupQuotas/subscriptions",
"id": "/providers/Microsoft.Management/managementGroups/E7EC67B3-7657-4966-BFFC-41EFD36BAA09/providers/Microsoft.Quota/groupQuotas/groupquota1/subscriptions/00000000-0000-0000-0000-000000000000",
"properties": {
"provisioningState": "Succeeded",
"subscriptionId": "00000000-0000-0000-0000-000000000000"
}
},
{
"name": "11111111-1111-1111-1111-111111111111",
"type": "Microsoft.Quota/groupQuotas/subscriptions",
"id": "/providers/Microsoft.Management/managementGroups/E7EC67B3-7657-4966-BFFC-41EFD36BAA09/providers/Microsoft.Quota/groupQuotas/groupquota1/subscriptions/11111111-1111-1111-1111-111111111111",
"properties": {
"provisioningState": "Succeeded",
"subscriptionId": "11111111-1111-1111-1111-111111111111"
}
}
]
}
定义
| 名称 | 说明 |
|---|---|
|
created |
创建资源的标识的类型。 |
|
Error |
资源管理错误附加信息。 |
|
Error |
错误详细信息。 |
|
Error |
错误响应 |
|
Group |
这表示与 GroupQuotasEntity 关联的 Azure subscriptionId。 |
|
Group |
GroupQuotaSubscriptionIds 列表 |
|
Group |
|
|
Request |
请求状态。 |
|
system |
与创建和上次修改资源相关的元数据。 |
createdByType
创建资源的标识的类型。
| 值 | 说明 |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
资源管理错误附加信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| info |
object |
其他信息。 |
| type |
string |
其他信息类型。 |
ErrorDetail
错误详细信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| additionalInfo |
错误附加信息。 |
|
| code |
string |
错误代码。 |
| details |
错误详细信息。 |
|
| message |
string |
错误消息。 |
| target |
string |
错误目标。 |
ErrorResponse
错误响应
| 名称 | 类型 | 说明 |
|---|---|---|
| error |
错误对象。 |
GroupQuotaSubscriptionId
这表示与 GroupQuotasEntity 关联的 Azure subscriptionId。
| 名称 | 类型 | 说明 |
|---|---|---|
| id |
string (arm-id) |
资源的完全限定资源 ID。 例如,“/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}” |
| name |
string |
资源的名称 |
| properties | ||
| systemData |
包含 createdBy 和 modifiedBy 信息的 Azure 资源管理器元数据。 |
|
| type |
string |
资源类型。 例如,“Microsoft.Compute/virtualMachines”或“Microsoft.Storage/storageAccounts” |
GroupQuotaSubscriptionIdList
GroupQuotaSubscriptionIds 列表
| 名称 | 类型 | 说明 |
|---|---|---|
| nextLink |
string (uri) |
指向下一页项目的链接 |
| value |
此页上的 GroupQuotaSubscriptionId 项 |
GroupQuotaSubscriptionIdProperties
| 名称 | 类型 | 说明 |
|---|---|---|
| provisioningState |
与 GroupQuotasEntity 关联的此 subscriptionId 的状态。 |
|
| subscriptionId |
string |
Azure subscriptionId。 |
RequestState
请求状态。
| 值 | 说明 |
|---|---|
| Accepted |
配额请求已被接受。 |
| Created |
配额请求已创建。 |
| Invalid |
配额请求无效。 |
| Succeeded |
配额请求成功。 |
| Escalated |
配额请求已上报以供进一步审查。 请提交支持票证。 支持工程师将跟进。 |
| Failed |
配额请求失败。 |
| InProgress |
配额请求当前正在处理中。 |
| Canceled |
配额请求已取消。 |
systemData
与创建和上次修改资源相关的元数据。
| 名称 | 类型 | 说明 |
|---|---|---|
| createdAt |
string (date-time) |
资源创建时间戳(UTC)。 |
| createdBy |
string |
创建资源的标识。 |
| createdByType |
创建资源的标识的类型。 |
|
| lastModifiedAt |
string (date-time) |
上次修改的资源时间戳(UTC) |
| lastModifiedBy |
string |
上次修改资源的标识。 |
| lastModifiedByType |
上次修改资源的标识的类型。 |